<!DOCTYPE html>
<html  xmlns:th= "http://thymeleaf.org"
th:replace="~{main-layout.html::main-fragment(~{::title},~{::#addarticle-main-content})}"> 
<head>
<meta charset="UTF-8">
<title>Ajout un article</title>
</head>
<body>
<div class="container-fluid" id="addarticle-main-content">
    <form method="post" th:action="@{/store/articles/add}" th:object="${formarticle}">
    <div class="mb-2">
        <label for="description" class="form-label">Description</label> 
        <input type="text" th:field="*{description}" th:errorclass="is-invalid"
             id="description" class="form-control"/>
        <p th:if="${#fields.hasErrors('description')}"
            th:errors="*{description}" class="text-danger small"/>
    </div>
    <div class="mb-2">
        <label for="prix" class="form-label">Prix</label> 
        <input type="number" th:field="*{prix}" id="prix" class="form-control" th:errorclass="is-invalid"/>
        <p th:if="${#fields.hasErrors('prix')}"
            th:errors="*{prix}" class="text-danger small"/>
    </div> 
    <div class="mb-2">  
        <label for="dateprod" class="form-label">Date de production</label> 
        <input type="date" th:field="*{dateProduction}" id="dateprod" class="form-control" th:errorclass="is-invalid"/>
        <p th:if="${#fields.hasErrors('dateProduction')}"
            th:errors="*{dateProduction}" class="text-danger small"/>
          </div> 
   <div class="mb-2"> 
     <label for="conditionnement" class="form-label">Conditionement</label> 
        <select th:field="*{conditionement}" id="conditionnement" class="form-select" >
            <option value="CARTON">Carton</option>
            <option value="SANS">Sans</option>
            <option value="PLASTIQUE">Plastique</option>
            <option value="PAPIER">Papier</option>
        </select>
    </div> 
        <input class="btn btn-primary" type="submit" value="Ajouter"/>
    </form>

</div>

</body>
</html>